import type { _MDLTexture } from "./MDLTexture.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MDLNormalMapTexture extends _MDLTexture {
    static alloc(): _MDLNormalMapTexture;
    static new(): _MDLNormalMapTexture;
    init(): _MDLNormalMapTexture;
    initByGeneratingNormalMapWithTexture$name$smoothness$contrast$(sourceTexture: _MDLTexture, name: _NSString | null, smoothness: number, contrast: number): _MDLNormalMapTexture;
}
